<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>Living xref</title>
<link type="text/css" rel="stylesheet" href="../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../apidocs/model/Element/Living.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_comment"> * </em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <strong class="jxr_keyword">package</strong> model.Element;
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_comment">// TODO: Auto-generated Javadoc</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> * The Class Living.</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">abstract</strong> <strong class="jxr_keyword">class</strong> <a href="../../model/Element/Living.html">Living</a> <strong class="jxr_keyword">extends</strong> <a href="../../model/Element/Element.html">Element</a> {
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <em class="jxr_javadoccomment">	 * Instantiates a new living.</em>
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <em class="jxr_javadoccomment">	 * @param SPRITE the sprite</em>
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  	<strong class="jxr_keyword">public</strong> <a href="../../model/Element/Living.html">Living</a>(String SPRITE) {
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  		<strong class="jxr_keyword">super</strong>(SPRITE);
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  	}
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <em class="jxr_javadoccomment">	 * Death.</em>
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <em class="jxr_javadoccomment">	 * @param x   the x</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <em class="jxr_javadoccomment">	 * @param y   the y</em>
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <em class="jxr_javadoccomment">	 * @param map the map</em>
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> death(<strong class="jxr_keyword">int</strong> x, <strong class="jxr_keyword">int</strong> y, model.Map map) {
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  	}
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2019. All rights reserved.</div>
</body>
</html>
